Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1600993 - Arbiter nomenclature and verbiage in the documentation is confusing to field and customers
Summary: Arbiter nomenclature and verbiage in the documentation is confusing to field ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: Documentation
Version: rhgs-3.4
Hardware: All
OS: All
high
urgent
Target Milestone: ---
: RHGS 3.4.0
Assignee: Laura Bailey
QA Contact: Rahul Hinduja
URL:
Whiteboard:
Depends On:
Blocks: 1503142
TreeView+ depends on / blocked
 
Reported: 2018-07-13 14:24 UTC by Anand Paladugu
Modified: 2018-09-10 15:47 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
The syntax of the command used to create an arbitrated volume is misleading. When 'gluster create volume replica 3 arbiter 1' is run, it creates a volume with a total of three bricks: two data bricks that replicate all data and one arbiter brick that replicates only metadata. Arbitrated volumes are configured in sets of three bricks at a time. This command does not require four bricks.
Clone Of:
Environment:
Last Closed: 2018-09-10 15:47:10 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Anand Paladugu 2018-07-13 14:24:25 UTC
Document URL:  RHGS 3.3 Admin guide (and other docs where we have documented Arbiter

Section Number and Name: Various

Describe the issue: 

Suggestions for improvement: 

Thin Arbiter is planned for RHGS 4.0, and that is how our competition does Arbiter. So while thin arbiter and new GD2 are a good opportunity to revamp documentation, field is asking to change documentation in 3.4 as a step in that direction.  At the same time we dont want to confuse existing customers by doing a 180 degree shift.   To the extent possible we should reflect in the document that Arbiter is an arbiter and not a full replica volume. For example when we refer to replica 3, we are saying replica 2 with arbiter volume.  Similarly when we say we wont support replica 2, we are saying that arbiter is a required for that configuration. 


Additional information:

Comment 4 Anand Paladugu 2018-08-02 01:06:44 UTC
I have included Laura on the email thread from EMEA team that generated the request. It does not look like any of them responded to her yet.  We may need to review the docs and change where appropriate in the 3.5 time frame and leave the rest for 4.0 timeframe.

Comment 7 Anand Paladugu 2018-08-20 15:16:11 UTC
Hi Laura.  Change in RN looks good.   Any way we can change the following in the admin guide.

1.  Can we say that two way replication is supported but arbiter is required. Three way replication causes confusion as arbiter is not considered an extra redundancy factor.

"5.6.1. Creating Two-way Replicated Volumes
Warning

As of Red Hat Gluster Storage 3.3, two-way replication is considered deprecated. Two-way deprecation remains supported for this release, but Red Hat no longer recommends its use, and plans to remove support in future versions of Red Hat Gluster Storage. This change affects both replicated and distributed-replicated volumes."




2. Referring to arbitrated Replicated volume as arbiter volume is not correct.  Plus with Arbiter required for all replicated volume types, should we still call it arbitrated replicated volume, or simply replicated volume ?

"5.8. Creating Arbitrated Replicated Volumes

An arbitrated replicated volume, or arbiter volume"


I have more comments.  Would a meeting make sense to review all comments, so we dont have to go back and forth ??   Anand


Note You need to log in before you can comment on or make changes to this bug.